#include <htc.h>

/* Program device configuration word
 * Oscillator = Internal RC No Clock
 * Watchdog Timer = Off
 * Power Up Timer = Off
 * Master Clear Enable = Internal
 * Code Protect = Off
 * Data EE Read Protect = Off
 * Brown Out Detect = BOD and SBOREN disabled
 * Internal External Switch Over Mode = Enabled
 * Monitor Clock Fail-safe = Disabled
 */
__CONFIG(INTIO & WDTDIS & PWRTDIS & MCLRDIS & UNPROTECT & UNPROTECT & BORDIS & IESOEN & FCMDIS);

// Peripheral initialization function
void init(void){
	/***** Common Code ****
	 *  Peripheral interrupts not enabled
	 *  Global interrupt disabled during initialization
	 */
	INTCON	= 0b00000000;
	/*
	 *  Port directions: 1=input, 0=output
	 */
	TRISC	= 0b11111111;
	
	/***** 16F690 Code ****
	 *  Internal oscillator set to 4MHz
	 */
	OSCCON	= 0b01100000;
	
}
